#include "onesettingitem.h"
#include "ui_onesettingitem.h"

#include <QDebug>
#include <QFile>

OneSettingItem::OneSettingItem(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::OneSettingItem)
{
    ui->setupUi(this);

    m_logger = spdlog::get("EyeMap");
    if(m_logger == nullptr)
    {
        qDebug() << "获取 EyeMap logger 失败";
        return;
    }
    /* 加载QSS */
    QFile fileQss(":/qss/SettingNum/OneItem/OneSettingItem.qss");
    if(fileQss.open(QFile::ReadOnly))
    {
        QString qss = fileQss.readAll();
        this->setStyleSheet(qss);
        fileQss.close();
    } else
    {
        SPDLOG_LOGGER_ERROR(m_logger, "加载QSS文件失败");
    }
}

OneSettingItem::~OneSettingItem()
{
    delete ui;
}

/* 设置行数和列数 */
void OneSettingItem::setRowColumn(int row, int column)
{
    
}
